Subject: [Dime] Comments on draft-ietf-dime-local-keytran-03

From: Tom Taylor <[email-masked]>
Date: Sun, 09 May 2010 19:55:25 -0400

I have a couple of comments on draft-ietf-dime-local-keytran-03.

1) As suggested in my previous E-mail, the attributes contained in the Key AVP 
should probably include an applicable domain identifier (in the absence of which 
the key is not domain-specific), and an enumeration indicating usage. The two 
usages I see are reauthentication root key and master session root key. In a bow 
to RFC 5295, I suppose DSRK should be added to and stand at the head of this 
list. Obviously the usage list has to be extensible -- another IANA registry.

2) Minor comment: I would think section 5.2 itself would contain a table listing 
the values to be registered. Of course, if my suggestion is adopted the details 
of this will be different.

Tom taylor